{ ... }:

{
  imports = [ (import ./hardware-configuration.nix) ];

  services.xserver = {
    videoDrivers = [ "nvidia" ];
    # nvidiaXineramaInfoOrder sets primary display
    # DFP-0 is default and would set left monitor, DVI-D-0, to be primary
    screenSection = ''
      Option "metamodes" "DVI-D-0: 1920x1080 +0+0, HDMI-0: 1920x1080 +1920+0, DP-3: 1920x1080 +1920+0"
      Option "nvidiaXineramaInfoOrder" "DFP-1"
    '';
  };

  hardware.opengl.enable = true;

  boot.loader = {
    efi = {
      canTouchEfiVariables = true;
      efiSysMountPoint = "/boot";
    };
    grub = {
      efiSupport = true;
      device = "nodev";
      useOSProber = true;
    };
  };
}
